70 packages found

    A better error-handler for Lad and Koa. Makes `ctx.throw` awesome (best used with koa-404-handler)

    published 7.0.1 10 months ago
    M
    Q
    P

    snippet to wrap errors in a boom object for hapi

    published 2.0.1 6 years ago
    M
    Q
    P

    <p align="center"> <img src="docs/logo.png" /> </p>

    published 2.1.20 10 days ago
    M
    Q
    P

    Structure Boom errors into a more desirable format

    published 6.0.0 2 months ago
    M
    Q
    P

    Boom response objects in Express

    published 3.0.0 3 years ago
    M
    Q
    P

    Slugs for Mongoose with history and i18n support (uses speakingurl by default, but you can use any slug library such as limax, slugify, mollusc, or slugme)

    published 2.1.0 a year ago
    M
    Q
    P

    A gRPC implementation of the awesome Boom library to help create gRPC-friendly error objects

    published 2.0.5 5 months ago
    M
    Q
    P

    Boom error wrapper

    published 8.1.0 a year ago
    M
    Q
    P

    hanlding error

    published 1.0.7 2 years ago
    M
    Q
    P

    Boom.wrap that returns a cloned boomed error

    published 1.0.1 5 years ago
    M
    Q
    P

    Transform waterline errors to Boom errors for general hapiness.

    published 1.0.0 6 years ago
    M
    Q
    P

    Simply create sub-classed Boom errors for Hapi applications.

    published 1.0.0 a year ago
    M
    Q
    P

    hapi plugin for rollbar error logging

    published 5.0.1 4 years ago
    M
    Q
    P

    Formats a Boom error according to the JSON API spec

    published 1.0.0 6 years ago
    M
    Q
    P

    Hapi plugin to convert unhandled axios errors into boom errors

    published 3.0.0 2 years ago
    M
    Q
    P

    Boom response objects in Koa.js ⛑.

    published 1.0.1 a year ago
    M
    Q
    P

    OAuth2.0 Errors using Boom

    published 1.0.3 6 years ago
    M
    Q
    P

    Boom with JSON-API support

    published 1.0.1 5 years ago
    M
    Q
    P

    A Hapi plugin for sending exceptions to Sentry.io through Raven

    published 6.1.0 5 years ago
    M
    Q
    P

    Your boom hapi response objects need an error `code` field.

    published 1.1.0 5 years ago
    M
    Q
    P